// 把 monaco webpack plugin 搞进去
const MonacoWebpackPlugin = require('monaco-editor-webpack-plugin')
let path = require('path')

function resolve (dir) {
  return path.join(__dirname, dir)
}

module.exports={
  configureWebpack: config => {
    config.plugins.push(
      new MonacoWebpackPlugin({
        languages:["sql"], // 目前只处理SQL语言
        features:["coreCommands","find"] // 基本命令和搜索功能
      })
    )
  },
  chainWebpack: (config) => {
    config.resolve.alias
      .set('@', resolve('src'))
  }
}
